#! /bin/sh /usr/share/dpatch/dpatch-run
## 18_remove_gentoo_initstyle.dpatch by Micah Anderson <Micah Anderson <micah@debian.org>>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad trunk~/scripts/vserver.functions trunk/scripts/vserver.functions
--- trunk~/scripts/vserver.functions	2006-03-20 08:16:45.000000000 -0500
+++ trunk/scripts/vserver.functions	2006-04-16 00:16:32.000000000 -0400
@@ -292,9 +292,7 @@
 	    ;;
 
 	(xgentoo)
-	    INITCMD_START=( /sbin/rc default  )
-	    INITCMD_STOP=(  /sbin/rc shutdown )
-	    ;;
+	    panic "init-style '$INITSTYLE' is no longer supported; please use plain instead; aborting";;
 
 	(x) ;;
 	(*) panic "Unknown init-style '$INITSTYLE'; aborting";;
